# Copyright (C) 2007-2012, Parrot Foundation.

=pod

=head1 NAME

docs/project/metacommitter_guide.pod - Metacommitter Guide.

=head1 DESCRIPTION

This document sets out the procedure on how to manage the list of Parrot
committers.

=head1 METACOMMITTER GUIDE

See F<docs/project/roles_responsibilities.pod> for more details on the
various roles in the Parrot project, including the Metacommitter role.

=head2 Instructions the new committer must follow

This procedure must be performed by the new committer before
the Metacommitter can add commit rights.

=over 4

=item 1

Create an account on L<https://github.com>

=back

=head2 Instructions for the Metacommitter

The new committer must perform the above procedure before
the Metacommitter can add commit rights.

=over 4

=item 1

Go to the Parrot Developers Team in the Parrot Github Organization
L<https://github.com/organizations/parrot/teams/12270>

=item 2

Scroll down to the bottom of the page, type in the username of the
Github user that you want to give commit access, and press "Add".

=back

Congratulate the new member publicly by sending an email to
parrot-dev@lists.parrot.org and copying the new committer.

Note that commit messages from the new member will be automatically held
pending list-admin approval.

=head2 To manage the list of Metacommitters

To make somebody a new metacommitter, add their github account to the "Owners"
team at L<https://github.com/organizations/parrot/teams/>.


=head1 SEE ALSO

F<docs/project/roles_responsibilities.pod>, F<RESPONSIBLE_PARTIES>

=cut
